> # NAME

> cgGetStateAssignmentPass - get a state assignment's pass

> # SYNOPSIS

>       #include <Cg/cg.h>

>       CGpass cgGetStateAssignmentPass( CGstateassignment sa );

> # PARAMETERS

> sa

>   The state assignment.

> # RETURN VALUES

> Returns a CGpass handle to the pass.

> Returns NULL if an error occurs.

> # DESCRIPTION

> cgGetStateAssignmentPass allows the application to retrieve a handle to the pass to which a given stateassignment belongs.

> # EXAMPLES

> to-be-written

> # ERRORS

> CG_INVALID_STATE_ASSIGNMENT_HANDLE_ERROR is generated if sa is not a valid state assignment.

> # HISTORY

> cgGetStateAssignmentPass was introduced in Cg 1.4.

> # SEE ALSO

> cgIsStateAssignment, cgIsPass